Skip to navigation

Get CustomEntity by ID

Get a single CustomEntity by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

custom_entity_idstringRequired
ID of the CustomEntity.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
authorsstring or nullOptionalformat: "uri"
creatorobject or nullOptional
schemaFieldslist of objects or nullOptional
aliaseslist of strings or nullOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstring or nullOptional
customFieldslist of objects or nullOptional
entityRegistryIdstring or nullOptional

The registry-assigned identifier for this item (e.g. its registry ID shown in the UI), present only once the item has been registered. Null if the item is not registered.

folderobject or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestring or nullOptional
Name of the item.
projectobject or nullOptional
registrationOriginobject or nullOptional

Provenance of this item’s registration — where and when it was registered. Null if unregistered.

registryobject or nullOptional
The Registry this item belongs to, if registered. Null if unregistered.
schemaobject or nullOptional

Use typedSchema instead, which returns the per-type schema.

typedSchemaobject or nullOptional

Errors

400
Custom Entity Get Request Bad Request Error
403
Custom Entity Get Request Forbidden Error
404
Custom Entity Get Request Not Found Error
429
Custom Entity Get Request Too Many Requests Error
500
Custom Entity Get Request Internal Server Error